Permalink
Browse files

version 0.9.6.1 hotfix release, fixes coderay version issue

  • Loading branch information...
banister committed Sep 26, 2011
1 parent c5964e9 commit f832fb99594151457a3296adefaf56bc7041d30c
Showing with 12 additions and 7 deletions.
  1. +5 −0 CHANGELOG
  2. +6 −6 Rakefile
  3. +1 −1 lib/pry/version.rb
View
@@ -1,3 +1,8 @@
+27/9/2011 version 0.9.6.1 HOTFIX release
+* downgrading to CodeRay 0.9.8 due to problems with 1.0 and rails (autoloading problem) see #280 on pry and #6 on CodeRay
+* also added (as a minor feature) cirwin's implementation of edit --in
+* added early break/exit for objectpath errors (the 'cd 34/@hello/bad_path/23')
+
19/9/2011 version 0.9.6
* restored previous behavior of command-line switches (allowing "-rfilename")
* removed -p option (--play) from edit command
View
@@ -21,11 +21,11 @@ def apply_spec_defaults(s)
s.executables = ["pry"]
s.files = `git ls-files`.split("\n")
s.test_files = `git ls-files -- test/*`.split("\n")
- s.add_dependency("ruby_parser",">=2.0.5")
- s.add_dependency("coderay",">=0.9.8")
+ s.add_dependency("ruby_parser","~>2.0.5")
+ s.add_dependency("coderay","~>0.9.8")
s.add_dependency("slop","~>2.1.0")
- s.add_dependency("method_source",">=0.6.5")
- s.add_development_dependency("bacon",">=1.1.0")
+ s.add_dependency("method_source","~>0.6.5")
+ s.add_development_dependency("bacon","~>1.1.0")
s.add_development_dependency("open4", "~>1.0.1")
s.add_development_dependency("rake", "~>0.9")
end
@@ -70,7 +70,7 @@ end
namespace :jruby do
spec = Gem::Specification.new do |s|
apply_spec_defaults(s)
- s.add_dependency("spoon", ">=0.0.1")
+ s.add_dependency("spoon", "~>0.0.1")
s.platform = "java"
end
@@ -85,7 +85,7 @@ end
namespace v do
spec = Gem::Specification.new do |s|
apply_spec_defaults(s)
- s.add_dependency("win32console", ">=1.3.0")
+ s.add_dependency("win32console", "~>1.3.0")
s.platform = "i386-#{v}"
end
View
@@ -1,3 +1,3 @@
class Pry
- VERSION = "0.9.6"
+ VERSION = "0.9.6.1"
end

0 comments on commit f832fb9

Please sign in to comment.